Add the newsfeed files to the build
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = { \
47   if test -z '$(MAKELEVEL)'; then \
48     false; \
49   elif test -n '$(MAKE_HOST)'; then \
50     true; \
51   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
52     true; \
53   else \
54     false; \
55   fi; \
56 }
57 am__make_running_with_option = \
58   case $${target_option-} in \
59       ?) ;; \
60       *) echo "am__make_running_with_option: internal error: invalid" \
61               "target option '$${target_option-}' specified" >&2; \
62          exit 1;; \
63   esac; \
64   has_opt=no; \
65   sane_makeflags=$$MAKEFLAGS; \
66   if $(am__is_gnu_make); then \
67     sane_makeflags=$$MFLAGS; \
68   else \
69     case $$MAKEFLAGS in \
70       *\\[\ \   ]*) \
71         bs=\\; \
72         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
73           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
74     esac; \
75   fi; \
76   skip_next=no; \
77   strip_trailopt () \
78   { \
79     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
80   }; \
81   for flg in $$sane_makeflags; do \
82     test $$skip_next = yes && { skip_next=no; continue; }; \
83     case $$flg in \
84       *=*|--*) continue;; \
85         -*I) strip_trailopt 'I'; skip_next=yes;; \
86       -*I?*) strip_trailopt 'I';; \
87         -*O) strip_trailopt 'O'; skip_next=yes;; \
88       -*O?*) strip_trailopt 'O';; \
89         -*l) strip_trailopt 'l'; skip_next=yes;; \
90       -*l?*) strip_trailopt 'l';; \
91       -[dEDm]) skip_next=yes;; \
92       -[JT]) skip_next=yes;; \
93     esac; \
94     case $$flg in \
95       *$$target_option*) has_opt=yes; break;; \
96     esac; \
97   done; \
98   test $$has_opt = yes
99 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
100 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
101 pkgdatadir = $(datadir)/@PACKAGE@
102 pkgincludedir = $(includedir)/@PACKAGE@
103 pkglibdir = $(libdir)/@PACKAGE@
104 pkglibexecdir = $(libexecdir)/@PACKAGE@
105 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
106 install_sh_DATA = $(install_sh) -c -m 644
107 install_sh_PROGRAM = $(install_sh) -c
108 install_sh_SCRIPT = $(install_sh) -c
109 INSTALL_HEADER = $(INSTALL_DATA)
110 transform = $(program_transform_name)
111 NORMAL_INSTALL = :
112 PRE_INSTALL = :
113 POST_INSTALL = :
114 NORMAL_UNINSTALL = :
115 PRE_UNINSTALL = :
116 POST_UNINSTALL = :
117 build_triplet = @build@
118 host_triplet = @host@
119 @GIWS_TRUE@am__append_1 = giws
120 @SWIG_TRUE@am__append_2 = swig
121 @GUI_TRUE@am__append_3 = libsciui_data.la
122 @NEED_JAVA_TRUE@am__append_4 = java
123 subdir = modules/ui_data
124 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
126         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
127         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
128         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
129         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
130         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
131         $(top_srcdir)/m4/intel_compiler.m4 \
132         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
133         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
134         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
135         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
136         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
137         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
138         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
139         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
140         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
141         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
142         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
143 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
144         $(ACLOCAL_M4)
145 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
146 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
147 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
148 CONFIG_CLEAN_FILES =
149 CONFIG_CLEAN_VPATH_FILES =
150 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151 am__vpath_adj = case $$p in \
152     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153     *) f=$$p;; \
154   esac;
155 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156 am__install_max = 40
157 am__nobase_strip_setup = \
158   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159 am__nobase_strip = \
160   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161 am__nobase_list = $(am__nobase_strip_setup); \
162   for p in $$list; do echo "$$p $$p"; done | \
163   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165     if (++n[$$2] == $(am__install_max)) \
166       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167     END { for (dir in files) print dir, files[dir] }'
168 am__base_list = \
169   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171 am__uninstall_files_from_dir = { \
172   test -z "$$files" \
173     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175          $(am__cd) "$$dir" && rm -f $$files; }; \
176   }
177 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
178         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
179         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
180         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
181 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
182 libsciui_data_algo_la_LIBADD =
183 am__dirstamp = $(am__leading_dot)dirstamp
184 am__objects_1 = src/jni/libsciui_data_algo_la-ui_data_wrap.lo \
185         src/c/libsciui_data_algo_la-PutScilabVariable.lo
186 am__objects_2 = src/jni/libsciui_data_algo_la-BrowseVar.lo \
187         src/jni/libsciui_data_algo_la-EditVar.lo \
188         src/jni/libsciui_data_algo_la-FileBrowser.lo
189 am__objects_3 = src/cpp/libsciui_data_algo_la-BrowseVarManager.lo \
190         src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo
191 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
192         $(am__objects_3)
193 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
194 AM_V_lt = $(am__v_lt_@AM_V@)
195 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
196 am__v_lt_0 = --silent
197 am__v_lt_1 = 
198 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
199 libsciui_data_disable_la_LIBADD =
200 am__objects_4 = src/noui_data/libsciui_data_disable_la-noui_data.lo
201 am__objects_5 =  \
202         src/noui_data/libsciui_data_disable_la-noui_data_gw.lo
203 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4) \
204         $(am__objects_5)
205 libsciui_data_disable_la_OBJECTS =  \
206         $(am_libsciui_data_disable_la_OBJECTS)
207 am__DEPENDENCIES_1 =
208 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
209         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
210 am__objects_6 = sci_gateway/cpp/libsciui_data_la-sci_editvar.lo \
211         sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo \
212         sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo \
213         sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo \
214         sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo \
215         sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo
216 am_libsciui_data_la_OBJECTS = $(am__objects_6)
217 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
218 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
219         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
220         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
221         $(LDFLAGS) -o $@
222 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
223 AM_V_P = $(am__v_P_@AM_V@)
224 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
225 am__v_P_0 = false
226 am__v_P_1 = :
227 AM_V_GEN = $(am__v_GEN_@AM_V@)
228 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
229 am__v_GEN_0 = @echo "  GEN     " $@;
230 am__v_GEN_1 = 
231 AM_V_at = $(am__v_at_@AM_V@)
232 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
233 am__v_at_0 = @
234 am__v_at_1 = 
235 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
236 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
237 am__depfiles_maybe = depfiles
238 am__mv = mv -f
239 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
240         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
241 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
242         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
243         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
244         $(AM_CFLAGS) $(CFLAGS)
245 AM_V_CC = $(am__v_CC_@AM_V@)
246 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
247 am__v_CC_0 = @echo "  CC      " $@;
248 am__v_CC_1 = 
249 CCLD = $(CC)
250 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
251         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
252         $(AM_LDFLAGS) $(LDFLAGS) -o $@
253 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
254 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
255 am__v_CCLD_0 = @echo "  CCLD    " $@;
256 am__v_CCLD_1 = 
257 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
258         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
259 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
260         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
261         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
262         $(AM_CXXFLAGS) $(CXXFLAGS)
263 AM_V_CXX = $(am__v_CXX_@AM_V@)
264 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
265 am__v_CXX_0 = @echo "  CXX     " $@;
266 am__v_CXX_1 = 
267 CXXLD = $(CXX)
268 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
269         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
270         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
271 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
272 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
273 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
274 am__v_CXXLD_1 = 
275 SOURCES = $(libsciui_data_algo_la_SOURCES) \
276         $(libsciui_data_disable_la_SOURCES) \
277         $(libsciui_data_la_SOURCES)
278 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
279         $(libsciui_data_disable_la_SOURCES) \
280         $(libsciui_data_la_SOURCES)
281 am__can_run_installinfo = \
282   case $$AM_UPDATE_INFO_DIR in \
283     n|no|NO) false;; \
284     *) (install-info --version) >/dev/null 2>&1;; \
285   esac
286 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
287         $(nobase_libsciui_data_la_icons_DATA)
288 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
289 # Read a list of newline-separated strings from the standard input,
290 # and print each of them once, without duplicates.  Input order is
291 # *not* preserved.
292 am__uniquify_input = $(AWK) '\
293   BEGIN { nonempty = 0; } \
294   { items[$$0] = 1; nonempty = 1; } \
295   END { if (nonempty) { for (i in items) print i; }; } \
296 '
297 # Make sure the list of sources is unique.  This is necessary because,
298 # e.g., the same source file might be shared among _SOURCES variables
299 # for different programs/libraries.
300 am__define_uniq_tagged_files = \
301   list='$(am__tagged_files)'; \
302   unique=`for i in $$list; do \
303     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
304   done | $(am__uniquify_input)`
305 ETAGS = etags
306 CTAGS = ctags
307 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
308         $(top_srcdir)/config/depcomp \
309         $(top_srcdir)/config/mkinstalldirs
310 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
311 ACLOCAL = @ACLOCAL@
312 ALL_LINGUAS = @ALL_LINGUAS@
313 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
314 AMTAR = @AMTAR@
315 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
316 ANT = @ANT@
317 ANTLR = @ANTLR@
318 AR = @AR@
319 ARPACK_LIBS = @ARPACK_LIBS@
320 ASM3 = @ASM3@
321 AUTOCONF = @AUTOCONF@
322 AUTOHEADER = @AUTOHEADER@
323 AUTOMAKE = @AUTOMAKE@
324 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
325 AWK = @AWK@
326 BATIK = @BATIK@
327 BLAS_CFLAGS = @BLAS_CFLAGS@
328 BLAS_LIBS = @BLAS_LIBS@
329 CC = @CC@
330 CCACHE = @CCACHE@
331 CCDEPMODE = @CCDEPMODE@
332 CFLAGS = @CFLAGS@
333 CHECKSTYLE = @CHECKSTYLE@
334 COBERTURA = @COBERTURA@
335 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
336 COMMONS_IO = @COMMONS_IO@
337 COMMONS_LOGGING = @COMMONS_LOGGING@
338 CPP = @CPP@
339 CPPFLAGS = @CPPFLAGS@
340 CURL_CFLAGS = @CURL_CFLAGS@
341 CURL_CONFIG = @CURL_CONFIG@
342 CURL_LIBS = @CURL_LIBS@
343 CURL_VERSION = @CURL_VERSION@
344 CXX = @CXX@
345 CXXCPP = @CXXCPP@
346 CXXDEPMODE = @CXXDEPMODE@
347 CXXFLAGS = @CXXFLAGS@
348 CYGPATH_W = @CYGPATH_W@
349 DEFS = @DEFS@
350 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
351 DEPDIR = @DEPDIR@
352 DLLTOOL = @DLLTOOL@
353 DOCBOOK_ROOT = @DOCBOOK_ROOT@
354 DOXYGEN_BIN = @DOXYGEN_BIN@
355 DSYMUTIL = @DSYMUTIL@
356 DUMPBIN = @DUMPBIN@
357 ECHO_C = @ECHO_C@
358 ECHO_N = @ECHO_N@
359 ECHO_T = @ECHO_T@
360 ECJ = @ECJ@
361 EGREP = @EGREP@
362 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
363 EXEEXT = @EXEEXT@
364 F77 = @F77@
365 FFLAGS = @FFLAGS@
366 FFTW3_LIB = @FFTW3_LIB@
367 FFTW_ENABLE = @FFTW_ENABLE@
368 FGREP = @FGREP@
369 FLEXDOCK = @FLEXDOCK@
370 FLIBS = @FLIBS@
371 FOP = @FOP@
372 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
373 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
374 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
375 FREEHEP_IO = @FREEHEP_IO@
376 FREEHEP_UTIL = @FREEHEP_UTIL@
377 GENHTML = @GENHTML@
378 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
379 GIWS_BIN = @GIWS_BIN@
380 GLUEGEN2_RT = @GLUEGEN2_RT@
381 GMSGFMT = @GMSGFMT@
382 GMSGFMT_015 = @GMSGFMT_015@
383 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
384 GREP = @GREP@
385 GUI_ENABLE = @GUI_ENABLE@
386 HAMCREST = @HAMCREST@
387 HAVE_CXX11 = @HAVE_CXX11@
388 HDF5_CFLAGS = @HDF5_CFLAGS@
389 HDF5_LIBS = @HDF5_LIBS@
390 HELP_ENABLE = @HELP_ENABLE@
391 INSTALL = @INSTALL@
392 INSTALL_DATA = @INSTALL_DATA@
393 INSTALL_PROGRAM = @INSTALL_PROGRAM@
394 INSTALL_SCRIPT = @INSTALL_SCRIPT@
395 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
396 INTLLIBS = @INTLLIBS@
397 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
398 JAR = @JAR@
399 JAVA = @JAVA@
400 JAVAC = @JAVAC@
401 JAVAC_DEBUG = @JAVAC_DEBUG@
402 JAVADOC = @JAVADOC@
403 JAVAH = @JAVAH@
404 JAVASCI_ENABLE = @JAVASCI_ENABLE@
405 JAVA_ENABLE = @JAVA_ENABLE@
406 JAVA_G = @JAVA_G@
407 JAVA_HOME = @JAVA_HOME@
408 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
409 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
410 JDB = @JDB@
411 JEUCLID_CORE = @JEUCLID_CORE@
412 JGRAPHX = @JGRAPHX@
413 JHALL = @JHALL@
414 JLATEXMATH = @JLATEXMATH@
415 JLATEXMATH_FOP = @JLATEXMATH_FOP@
416 JOGL2 = @JOGL2@
417 JROSETTA_API = @JROSETTA_API@
418 JROSETTA_ENGINE = @JROSETTA_ENGINE@
419 JUNIT4 = @JUNIT4@
420 LAPACK_LIBS = @LAPACK_LIBS@
421 LCOV = @LCOV@
422 LD = @LD@
423 LDFLAGS = @LDFLAGS@
424 LEX = @LEX@
425 LEXLIB = @LEXLIB@
426 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
427 LIBICONV = @LIBICONV@
428 LIBINTL = @LIBINTL@
429 LIBM = @LIBM@
430 LIBOBJS = @LIBOBJS@
431 LIBS = @LIBS@
432 LIBTOOL = @LIBTOOL@
433 LIPO = @LIPO@
434 LN_S = @LN_S@
435 LOGGING_LEVEL = @LOGGING_LEVEL@
436 LOOKS = @LOOKS@
437 LTLIBICONV = @LTLIBICONV@
438 LTLIBINTL = @LTLIBINTL@
439 LTLIBOBJS = @LTLIBOBJS@
440 MAINT = @MAINT@
441 MAKEINFO = @MAKEINFO@
442 MANIFEST_TOOL = @MANIFEST_TOOL@
443 MATIO_CFLAGS = @MATIO_CFLAGS@
444 MATIO_ENABLE = @MATIO_ENABLE@
445 MATIO_LIBS = @MATIO_LIBS@
446 MKDIR_P = @MKDIR_P@
447 MPI_ENABLE = @MPI_ENABLE@
448 MSGCAT = @MSGCAT@
449 MSGFMT = @MSGFMT@
450 MSGFMT_015 = @MSGFMT_015@
451 MSGMERGE = @MSGMERGE@
452 NM = @NM@
453 NMEDIT = @NMEDIT@
454 OBJDUMP = @OBJDUMP@
455 OBJEXT = @OBJEXT@
456 OCAMLC = @OCAMLC@
457 OCAMLDEP = @OCAMLDEP@
458 OCAMLLEX = @OCAMLLEX@
459 OCAMLOPT = @OCAMLOPT@
460 OCAMLYACC = @OCAMLYACC@
461 OPENMPI_CC = @OPENMPI_CC@
462 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
463 OPENMPI_CXX = @OPENMPI_CXX@
464 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
465 OPENMPI_LIBS = @OPENMPI_LIBS@
466 OPENMP_CFLAGS = @OPENMP_CFLAGS@
467 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
468 OPENMP_ENABLE = @OPENMP_ENABLE@
469 OPENMP_LIBS = @OPENMP_LIBS@
470 OTOOL = @OTOOL@
471 OTOOL64 = @OTOOL64@
472 PACKAGE = @PACKAGE@
473 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
474 PACKAGE_NAME = @PACKAGE_NAME@
475 PACKAGE_STRING = @PACKAGE_STRING@
476 PACKAGE_TARNAME = @PACKAGE_TARNAME@
477 PACKAGE_URL = @PACKAGE_URL@
478 PACKAGE_VERSION = @PACKAGE_VERSION@
479 PATH_SEPARATOR = @PATH_SEPARATOR@
480 PCRE_CFLAGS = @PCRE_CFLAGS@
481 PCRE_CONFIG = @PCRE_CONFIG@
482 PCRE_LIBS = @PCRE_LIBS@
483 PCRE_VERSION = @PCRE_VERSION@
484 PKG_CONFIG = @PKG_CONFIG@
485 POSUB = @POSUB@
486 POW_LIB = @POW_LIB@
487 PYTHON = @PYTHON@
488 RANLIB = @RANLIB@
489 RELOCATABLE = @RELOCATABLE@
490 RT_LIB = @RT_LIB@
491 SAXON = @SAXON@
492 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
493 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
494 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
495 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
496 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
497 SCIRENDERER = @SCIRENDERER@
498 SCIRENDERER_CP = @SCIRENDERER_CP@
499 SCI_CFLAGS = @SCI_CFLAGS@
500 SCI_CXXFLAGS = @SCI_CXXFLAGS@
501 SCI_FFLAGS = @SCI_FFLAGS@
502 SCI_LDFLAGS = @SCI_LDFLAGS@
503 SED = @SED@
504 SET_MAKE = @SET_MAKE@
505 SET_RELOCATABLE = @SET_RELOCATABLE@
506 SHELL = @SHELL@
507 SKINLF = @SKINLF@
508 SPLINT = @SPLINT@
509 STRIP = @STRIP@
510 SWIG_BIN = @SWIG_BIN@
511 SWIG_JAVA = @SWIG_JAVA@
512 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
513 SWIG_SCILAB = @SWIG_SCILAB@
514 TCLTK_LIBS = @TCLTK_LIBS@
515 TCL_INC_PATH = @TCL_INC_PATH@
516 TK_INC_PATH = @TK_INC_PATH@
517 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
518 UMFPACK_ENABLE = @UMFPACK_ENABLE@
519 UMFPACK_LIB = @UMFPACK_LIB@
520 USE_NLS = @USE_NLS@
521 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
522 VALGRIND_LIBS = @VALGRIND_LIBS@
523 VERSION = @VERSION@
524 WITH_OCAML = @WITH_OCAML@
525 WITH_TKSCI = @WITH_TKSCI@
526 XCOS_ENABLE = @XCOS_ENABLE@
527 XGETTEXT = @XGETTEXT@
528 XGETTEXT_015 = @XGETTEXT_015@
529 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
530 XMKMF = @XMKMF@
531 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
532 XML_APIS_EXT = @XML_APIS_EXT@
533 XML_CONFIG = @XML_CONFIG@
534 XML_FLAGS = @XML_FLAGS@
535 XML_LIBS = @XML_LIBS@
536 XML_VERSION = @XML_VERSION@
537 X_CFLAGS = @X_CFLAGS@
538 X_EXTRA_LIBS = @X_EXTRA_LIBS@
539 X_LIBS = @X_LIBS@
540 X_PRE_LIBS = @X_PRE_LIBS@
541 YACC = @YACC@
542 YFLAGS = @YFLAGS@
543 abs_builddir = @abs_builddir@
544 abs_srcdir = @abs_srcdir@
545 abs_top_builddir = @abs_top_builddir@
546 abs_top_srcdir = @abs_top_srcdir@
547 ac_ct_AR = @ac_ct_AR@
548 ac_ct_CC = @ac_ct_CC@
549 ac_ct_CXX = @ac_ct_CXX@
550 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
551 ac_ct_F77 = @ac_ct_F77@
552 am__include = @am__include@
553 am__leading_dot = @am__leading_dot@
554 am__quote = @am__quote@
555 am__tar = @am__tar@
556 am__untar = @am__untar@
557 bindir = @bindir@
558 build = @build@
559 build_alias = @build_alias@
560 build_cpu = @build_cpu@
561 build_os = @build_os@
562 build_vendor = @build_vendor@
563 builddir = @builddir@
564 cxx_present = @cxx_present@
565 datadir = @datadir@
566 datarootdir = @datarootdir@
567 docdir = @docdir@
568 dvidir = @dvidir@
569 exec_prefix = @exec_prefix@
570 host = @host@
571 host_alias = @host_alias@
572 host_cpu = @host_cpu@
573 host_os = @host_os@
574 host_vendor = @host_vendor@
575 htmldir = @htmldir@
576 includedir = @includedir@
577 infodir = @infodir@
578 install_sh = @install_sh@
579 libdir = @libdir@
580 libexecdir = @libexecdir@
581 localedir = @localedir@
582 localstatedir = @localstatedir@
583 mandir = @mandir@
584 mkdir_p = @mkdir_p@
585 oldincludedir = @oldincludedir@
586 pdfdir = @pdfdir@
587 prefix = @prefix@
588 program_transform_name = @program_transform_name@
589 psdir = @psdir@
590 sbindir = @sbindir@
591 sharedstatedir = @sharedstatedir@
592 srcdir = @srcdir@
593 sysconfdir = @sysconfdir@
594 target_alias = @target_alias@
595 top_build_prefix = @top_build_prefix@
596 top_builddir = @top_builddir@
597 top_srcdir = @top_srcdir@
598 yacc_present = @yacc_present@
599
600 #### Target ######
601 modulename = ui_data
602
603 #### ui_data : Conf files ####
604 libsciui_data_la_rootdir = $(mydatadir)
605 libsciui_data_la_root_DATA = license.txt
606
607 #### ui_data : init scripts ####
608 libsciui_data_la_etcdir = $(mydatadir)/etc
609 libsciui_data_la_etc_DATA = \
610         etc/newsfeed.css \
611         etc/newsfeed.xml \
612         etc/ui_data.quit \
613         etc/ui_data.start \
614         etc/variablebrowser_menubar.xml \
615         etc/variableeditor_menubar.xml \
616         etc/XConfiguration-variables.xml \
617         etc/XConfiguration-variables.xsl
618
619 UI_DATA_JNI_SOURCES = \
620     src/jni/BrowseVar.cpp \
621     src/jni/EditVar.cpp \
622         src/jni/FileBrowser.cpp
623
624 UI_DATA_C_SOURCES = \
625     src/jni/ui_data_wrap.c \
626     src/c/PutScilabVariable.c
627
628 UI_DATA_CXX_SOURCES = \
629     src/cpp/BrowseVarManager.cpp \
630     src/cpp/FileBrowserChDir.cpp
631
632 GIWS_WRAPPERS = \
633     src/jni/BrowseVar.giws.xml \
634     src/jni/EditVar.giws.xml \
635     src/jni/FileBrowser.giws.xml
636
637 SWIG_WRAPPERS = \
638     src/jni/ui_data.i
639
640 BUILT_SOURCES = $(am__append_1) $(am__append_2)
641 GATEWAY_CXX_SOURCES = \
642     sci_gateway/cpp/sci_editvar.cpp \
643     sci_gateway/cpp/sci_browsevar.cpp \
644     sci_gateway/cpp/sci_filebrowser.cpp \
645     sci_gateway/cpp/sci_updatebrowsevar.cpp \
646     sci_gateway/cpp/sci_closeEditvar.cpp \
647     sci_gateway/cpp/ui_data_gw.cpp
648
649 libsciui_data_la_CPPFLAGS = \
650     $(JAVA_JNI_INCLUDE) \
651     -I$(srcdir)/includes/ \
652     -I$(srcdir)/src/cpp/ \
653     -I$(srcdir)/src/c/ \
654     -I$(srcdir)/src/jni/ \
655     -I$(top_srcdir)/modules/ast/includes/ast/ \
656     -I$(top_srcdir)/modules/ast/includes/exps/ \
657     -I$(top_srcdir)/modules/ast/includes/operations/ \
658     -I$(top_srcdir)/modules/ast/includes/parse/ \
659     -I$(top_srcdir)/modules/ast/includes/symbol/ \
660     -I$(top_srcdir)/modules/ast/includes/system_env/ \
661     -I$(top_srcdir)/modules/ast/includes/types/ \
662     -I$(top_srcdir)/modules/ast/includes/analysis/ \
663     -I$(top_srcdir)/modules/jvm/includes/ \
664     -I$(top_srcdir)/modules/output_stream/includes/ \
665     -I$(top_srcdir)/modules/commons/src/jni/ \
666     -I$(top_srcdir)/modules/localization/includes/ \
667     -I$(top_srcdir)/modules/api_scilab/includes/ \
668     -I$(top_srcdir)/modules/fileio/includes/ \
669     -I$(top_srcdir)/modules/string/includes/ \
670     -I$(top_srcdir)/modules/dynamic_link/includes/ \
671     -I$(top_srcdir)/modules/threads/includes/ \
672     -I$(top_srcdir)/modules/console/includes/ \
673     $(AM_CPPFLAGS)
674
675
676 # Without the ui_data module
677 libsciui_data_disable_la_CPPFLAGS = \
678     -I$(srcdir)/includes/ \
679     -I$(top_srcdir)/modules/ast/includes/ast/ \
680     -I$(top_srcdir)/modules/ast/includes/exps/ \
681     -I$(top_srcdir)/modules/ast/includes/operations/ \
682     -I$(top_srcdir)/modules/ast/includes/parse/ \
683     -I$(top_srcdir)/modules/ast/includes/symbol/ \
684     -I$(top_srcdir)/modules/ast/includes/system_env/ \
685     -I$(top_srcdir)/modules/ast/includes/types/ \
686     -I$(top_srcdir)/modules/ast/includes/analysis/ \
687     -I$(top_srcdir)/modules/localization/includes/ \
688     -I$(top_srcdir)/modules/output_stream/includes \
689     $(AM_CPPFLAGS)
690
691 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
692 UI_DATA_DISABLE_CXX_SOURCES = src/noui_data/noui_data_gw.cpp
693 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES) $(UI_DATA_DISABLE_CXX_SOURCES)
694 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
695 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
696 libsciui_data_la_LDFLAGS = $(AM_LDFLAGS)
697 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
698 libsciui_data_la_SOURCES = $(GATEWAY_CXX_SOURCES)
699 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
700
701 # For the code check (splint)
702 CHECK_SRC = $(UI_DATA_C_SOURCES)
703 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
704 libsciui_data_la_LIBADD = libsciui_data-algo.la $(X_LIBS) $(X_EXTRA_LIBS)
705
706 #### ui_data : gateway declaration ####
707 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
708
709 #### ui_data : icons files ####
710 #
711 # Generated with:
712 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
713 libsciui_data_la_iconsdir = $(mydatadir)/
714 nobase_libsciui_data_la_icons_DATA = \
715 images/icons/16x16/mimetypes/array_up.png \
716 images/icons/16x16/mimetypes/boolean.png \
717 images/icons/16x16/mimetypes/cell.png \
718 images/icons/16x16/mimetypes/double.png \
719 images/icons/16x16/mimetypes/fptr.png \
720 images/icons/16x16/mimetypes/function.png \
721 images/icons/16x16/mimetypes/handle.png \
722 images/icons/16x16/mimetypes/int.png \
723 images/icons/16x16/mimetypes/list.png \
724 images/icons/16x16/mimetypes/mlist.png \
725 images/icons/16x16/mimetypes/noicon.png \
726 images/icons/16x16/mimetypes/object.png \
727 images/icons/16x16/mimetypes/polynomial.png \
728 images/icons/16x16/mimetypes/sparse.png \
729 images/icons/16x16/mimetypes/string.png \
730 images/icons/16x16/mimetypes/timeseries.png \
731 images/icons/16x16/mimetypes/tlist.png \
732 images/icons/16x16/mimetypes/uint.png \
733 images/icons/16x16/mimetypes/user.png
734
735 @GUI_TRUE@USEANT = 1
736
737 # Where all the Scilab stuff is installed (macros, help, ...)
738 mydatadir = $(pkgdatadir)/modules/$(modulename)
739
740 # Set AM_* SCI detected settings
741 AM_CPPFLAGS = $(SCI_CPPFLAGS)
742 AM_CFLAGS = $(SCI_CFLAGS)
743 AM_CXXFLAGS = $(SCI_CXXFLAGS)
744 # append includes to AM_FFLAGS to manage fortran includes
745 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
746
747 # Tag shared libraries with the Scilab version
748 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
749
750 # splint options
751 SPLINT_OPTIONS = -weak -booltype BOOL
752
753 ########################### JAVA ######################################
754 #### We are delegating java compilation to ant... Thanks to that
755 #### the procedure will be the same with Microsoft Windows (C)
756 #### and Linux/Unix
757 #######################################################################
758 TARGETS_ALL = $(am__append_4)
759
760 ################ MACROS ######################
761 # Rule to build a macro
762 # NOT USED  AT THE MOMENT
763 SUFFIXES = .sci
764
765 ########### INSTALL DOCUMENTATION ###################
766
767 # Install documentation files into the right target
768 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
769 # automake needs the html files to be present which is not the case when
770 # we are building Scilab
771
772 # Where it should be installed
773 pkgdocdir = $(mydatadir)
774
775 # What is the mask of the help source
776 DOCMASKXML = *.xml
777
778 # What is the mask of the MathML sources
779 DOCMASKMML = *.mml
780
781 ########### INSTALL DATA ###################
782 # Install macros, help & demos
783 # Where it should be installed
784 pkgmacrosdir = $(mydatadir)
785 # Which directory we process
786 MACRODIRS = macros/
787 # Mask of the Scilab sources macros
788 MACROMASK = *.sci
789 # Mask of the Scilab executable sources macros
790 MACROBUILDMASK = *.sce
791 # Mask of the Scilab compiled macros
792 MACROBINMASK = *.bin
793 # List of the standard directory for tests
794 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
795 # Where the demos should be installed
796 pkgdemosdir = $(mydatadir)
797 # List of the standard directory for demos
798 DEMOS_DIR = demos
799 # List of the standard directory for examples
800 EXAMPLES_DIR = examples
801 # Where to export JAVA archives (.jar)
802 JARDIR = jar/
803 # JAR files mask
804 JARMASK = *.jar
805 # Chapter file
806 HELP_CHAPTERDIR = help/
807 HELP_CHAPTERFILE = addchapter.sce
808 HELP_CHAPTERLANG = en_US fr_FR pt_BR
809 all: $(BUILT_SOURCES)
810         $(MAKE) $(AM_MAKEFLAGS) all-am
811
812 .SUFFIXES:
813 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
814 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
815         @for dep in $?; do \
816           case '$(am__configure_deps)' in \
817             *$$dep*) \
818               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
819                 && { if test -f $@; then exit 0; else break; fi; }; \
820               exit 1;; \
821           esac; \
822         done; \
823         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
824         $(am__cd) $(top_srcdir) && \
825           $(AUTOMAKE) --foreign modules/ui_data/Makefile
826 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
827         @case '$?' in \
828           *config.status*) \
829             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
830           *) \
831             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
832             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
833         esac;
834 $(top_srcdir)/Makefile.incl.am $(am__empty):
835
836 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
837         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
838
839 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
840         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
841 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
842         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
843 $(am__aclocal_m4_deps):
844
845 clean-noinstLTLIBRARIES:
846         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
847         @list='$(noinst_LTLIBRARIES)'; \
848         locs=`for p in $$list; do echo $$p; done | \
849               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
850               sort -u`; \
851         test -z "$$locs" || { \
852           echo rm -f $${locs}; \
853           rm -f $${locs}; \
854         }
855
856 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
857         @$(NORMAL_INSTALL)
858         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
859         list2=; for p in $$list; do \
860           if test -f $$p; then \
861             list2="$$list2 $$p"; \
862           else :; fi; \
863         done; \
864         test -z "$$list2" || { \
865           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
866           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
867           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
868           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
869         }
870
871 uninstall-pkglibLTLIBRARIES:
872         @$(NORMAL_UNINSTALL)
873         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
874         for p in $$list; do \
875           $(am__strip_dir) \
876           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
877           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
878         done
879
880 clean-pkglibLTLIBRARIES:
881         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
882         @list='$(pkglib_LTLIBRARIES)'; \
883         locs=`for p in $$list; do echo $$p; done | \
884               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
885               sort -u`; \
886         test -z "$$locs" || { \
887           echo rm -f $${locs}; \
888           rm -f $${locs}; \
889         }
890 src/jni/$(am__dirstamp):
891         @$(MKDIR_P) src/jni
892         @: > src/jni/$(am__dirstamp)
893 src/jni/$(DEPDIR)/$(am__dirstamp):
894         @$(MKDIR_P) src/jni/$(DEPDIR)
895         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
896 src/jni/libsciui_data_algo_la-ui_data_wrap.lo:  \
897         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
898 src/c/$(am__dirstamp):
899         @$(MKDIR_P) src/c
900         @: > src/c/$(am__dirstamp)
901 src/c/$(DEPDIR)/$(am__dirstamp):
902         @$(MKDIR_P) src/c/$(DEPDIR)
903         @: > src/c/$(DEPDIR)/$(am__dirstamp)
904 src/c/libsciui_data_algo_la-PutScilabVariable.lo:  \
905         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
906 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/$(am__dirstamp) \
907         src/jni/$(DEPDIR)/$(am__dirstamp)
908 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/$(am__dirstamp) \
909         src/jni/$(DEPDIR)/$(am__dirstamp)
910 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/$(am__dirstamp) \
911         src/jni/$(DEPDIR)/$(am__dirstamp)
912 src/cpp/$(am__dirstamp):
913         @$(MKDIR_P) src/cpp
914         @: > src/cpp/$(am__dirstamp)
915 src/cpp/$(DEPDIR)/$(am__dirstamp):
916         @$(MKDIR_P) src/cpp/$(DEPDIR)
917         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
918 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo:  \
919         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
920 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo:  \
921         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
922
923 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
924         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
925 src/noui_data/$(am__dirstamp):
926         @$(MKDIR_P) src/noui_data
927         @: > src/noui_data/$(am__dirstamp)
928 src/noui_data/$(DEPDIR)/$(am__dirstamp):
929         @$(MKDIR_P) src/noui_data/$(DEPDIR)
930         @: > src/noui_data/$(DEPDIR)/$(am__dirstamp)
931 src/noui_data/libsciui_data_disable_la-noui_data.lo:  \
932         src/noui_data/$(am__dirstamp) \
933         src/noui_data/$(DEPDIR)/$(am__dirstamp)
934 src/noui_data/libsciui_data_disable_la-noui_data_gw.lo:  \
935         src/noui_data/$(am__dirstamp) \
936         src/noui_data/$(DEPDIR)/$(am__dirstamp)
937
938 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
939         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
940 sci_gateway/cpp/$(am__dirstamp):
941         @$(MKDIR_P) sci_gateway/cpp
942         @: > sci_gateway/cpp/$(am__dirstamp)
943 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
944         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
945         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
946 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo:  \
947         sci_gateway/cpp/$(am__dirstamp) \
948         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
949 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo:  \
950         sci_gateway/cpp/$(am__dirstamp) \
951         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
952 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo:  \
953         sci_gateway/cpp/$(am__dirstamp) \
954         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
955 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo:  \
956         sci_gateway/cpp/$(am__dirstamp) \
957         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
958 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo:  \
959         sci_gateway/cpp/$(am__dirstamp) \
960         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
961 sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo:  \
962         sci_gateway/cpp/$(am__dirstamp) \
963         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
964
965 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
966         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
967
968 mostlyclean-compile:
969         -rm -f *.$(OBJEXT)
970         -rm -f sci_gateway/cpp/*.$(OBJEXT)
971         -rm -f sci_gateway/cpp/*.lo
972         -rm -f src/c/*.$(OBJEXT)
973         -rm -f src/c/*.lo
974         -rm -f src/cpp/*.$(OBJEXT)
975         -rm -f src/cpp/*.lo
976         -rm -f src/jni/*.$(OBJEXT)
977         -rm -f src/jni/*.lo
978         -rm -f src/noui_data/*.$(OBJEXT)
979         -rm -f src/noui_data/*.lo
980
981 distclean-compile:
982         -rm -f *.tab.c
983
984 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
985 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
986 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
987 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
988 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
989 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Plo@am__quote@
990 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
991 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
992 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
993 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
994 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
995 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
996 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
997 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
998 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Plo@am__quote@
999
1000 .c.o:
1001 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1002 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1003 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1007
1008 .c.obj:
1009 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1010 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1011 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1013 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1014 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1015
1016 .c.lo:
1017 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1018 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1019 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1020 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1021 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1022 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1023
1024 src/jni/libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
1025 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1026 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1027 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='src/jni/libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1028 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1029 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1030
1031 src/c/libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
1032 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1033 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1034 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='src/c/libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
1035 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1036 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1037
1038 src/noui_data/libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
1039 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1040 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1041 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='src/noui_data/libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1043 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1044
1045 .cpp.o:
1046 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1047 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1048 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1049 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1050 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1051 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1052
1053 .cpp.obj:
1054 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1055 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1056 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1057 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1058 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1059 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1060
1061 .cpp.lo:
1062 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1063 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1064 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1065 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1066 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1067 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1068
1069 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
1070 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1071 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1072 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='src/jni/libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1074 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1075
1076 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
1077 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-EditVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1078 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1079 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='src/jni/libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1081 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1082
1083 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
1084 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1085 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1086 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='src/jni/libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1088 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1089
1090 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
1091 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1092 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1093 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='src/cpp/libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1095 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1096
1097 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
1098 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1099 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1100 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1102 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1103
1104 src/noui_data/libsciui_data_disable_la-noui_data_gw.lo: src/noui_data/noui_data_gw.cpp
1105 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data_gw.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data_gw.lo `test -f 'src/noui_data/noui_data_gw.cpp' || echo '$(srcdir)/'`src/noui_data/noui_data_gw.cpp
1106 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data_gw.Plo
1107 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/noui_data/noui_data_gw.cpp' object='src/noui_data/libsciui_data_disable_la-noui_data_gw.lo' libtool=yes @AMDEPBACKSLASH@
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1109 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data_gw.lo `test -f 'src/noui_data/noui_data_gw.cpp' || echo '$(srcdir)/'`src/noui_data/noui_data_gw.cpp
1110
1111 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
1112 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_editvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1113 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1114 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1116 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1117
1118 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
1119 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1120 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1121 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1123 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1124
1125 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
1126 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1127 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1128 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
1129 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1130 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1131
1132 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
1133 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1134 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1135 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
1136 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1137 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1138
1139 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
1140 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1141 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1142 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
1143 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1144 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1145
1146 sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo: sci_gateway/cpp/ui_data_gw.cpp
1147 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Tpo -c -o sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo `test -f 'sci_gateway/cpp/ui_data_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/ui_data_gw.cpp
1148 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-ui_data_gw.Plo
1149 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/ui_data_gw.cpp' object='sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo' libtool=yes @AMDEPBACKSLASH@
1150 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1151 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-ui_data_gw.lo `test -f 'sci_gateway/cpp/ui_data_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/ui_data_gw.cpp
1152
1153 mostlyclean-libtool:
1154         -rm -f *.lo
1155
1156 clean-libtool:
1157         -rm -rf .libs _libs
1158         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1159         -rm -rf src/c/.libs src/c/_libs
1160         -rm -rf src/cpp/.libs src/cpp/_libs
1161         -rm -rf src/jni/.libs src/jni/_libs
1162         -rm -rf src/noui_data/.libs src/noui_data/_libs
1163 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1164         @$(NORMAL_INSTALL)
1165         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1166         if test -n "$$list"; then \
1167           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1168           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1169         fi; \
1170         for p in $$list; do \
1171           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1172           echo "$$d$$p"; \
1173         done | $(am__base_list) | \
1174         while read files; do \
1175           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1176           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1177         done
1178
1179 uninstall-libsciui_data_la_etcDATA:
1180         @$(NORMAL_UNINSTALL)
1181         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1182         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1183         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1184 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1185         @$(NORMAL_INSTALL)
1186         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1187         if test -n "$$list"; then \
1188           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1189           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1190         fi; \
1191         for p in $$list; do \
1192           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1193           echo "$$d$$p"; \
1194         done | $(am__base_list) | \
1195         while read files; do \
1196           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1197           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1198         done
1199
1200 uninstall-libsciui_data_la_rootDATA:
1201         @$(NORMAL_UNINSTALL)
1202         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1203         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1204         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1205 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1206         @$(NORMAL_INSTALL)
1207         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1208         if test -n "$$list"; then \
1209           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1210           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1211         fi; \
1212         $(am__nobase_list) | while read dir files; do \
1213           xfiles=; for file in $$files; do \
1214             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1215             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1216           test -z "$$xfiles" || { \
1217             test "x$$dir" = x. || { \
1218               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1219               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1220             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1221             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1222         done
1223
1224 uninstall-nobase_libsciui_data_la_iconsDATA:
1225         @$(NORMAL_UNINSTALL)
1226         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1227         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1228         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1229
1230 ID: $(am__tagged_files)
1231         $(am__define_uniq_tagged_files); mkid -fID $$unique
1232 tags: tags-am
1233 TAGS: tags
1234
1235 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1236         set x; \
1237         here=`pwd`; \
1238         $(am__define_uniq_tagged_files); \
1239         shift; \
1240         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1241           test -n "$$unique" || unique=$$empty_fix; \
1242           if test $$# -gt 0; then \
1243             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1244               "$$@" $$unique; \
1245           else \
1246             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1247               $$unique; \
1248           fi; \
1249         fi
1250 ctags: ctags-am
1251
1252 CTAGS: ctags
1253 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1254         $(am__define_uniq_tagged_files); \
1255         test -z "$(CTAGS_ARGS)$$unique" \
1256           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1257              $$unique
1258
1259 GTAGS:
1260         here=`$(am__cd) $(top_builddir) && pwd` \
1261           && $(am__cd) $(top_srcdir) \
1262           && gtags -i $(GTAGS_ARGS) "$$here"
1263 cscopelist: cscopelist-am
1264
1265 cscopelist-am: $(am__tagged_files)
1266         list='$(am__tagged_files)'; \
1267         case "$(srcdir)" in \
1268           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1269           *) sdir=$(subdir)/$(srcdir) ;; \
1270         esac; \
1271         for i in $$list; do \
1272           if test -f "$$i"; then \
1273             echo "$(subdir)/$$i"; \
1274           else \
1275             echo "$$sdir/$$i"; \
1276           fi; \
1277         done >> $(top_builddir)/cscope.files
1278
1279 distclean-tags:
1280         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1281
1282 distdir: $(DISTFILES)
1283         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1284         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1285         list='$(DISTFILES)'; \
1286           dist_files=`for file in $$list; do echo $$file; done | \
1287           sed -e "s|^$$srcdirstrip/||;t" \
1288               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1289         case $$dist_files in \
1290           */*) $(MKDIR_P) `echo "$$dist_files" | \
1291                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1292                            sort -u` ;; \
1293         esac; \
1294         for file in $$dist_files; do \
1295           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1296           if test -d $$d/$$file; then \
1297             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1298             if test -d "$(distdir)/$$file"; then \
1299               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1300             fi; \
1301             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1302               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1303               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1304             fi; \
1305             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1306           else \
1307             test -f "$(distdir)/$$file" \
1308             || cp -p $$d/$$file "$(distdir)/$$file" \
1309             || exit 1; \
1310           fi; \
1311         done
1312 check-am: all-am
1313         $(MAKE) $(AM_MAKEFLAGS) check-local
1314 check: $(BUILT_SOURCES)
1315         $(MAKE) $(AM_MAKEFLAGS) check-am
1316 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1317 installdirs:
1318         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1319           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1320         done
1321 install: $(BUILT_SOURCES)
1322         $(MAKE) $(AM_MAKEFLAGS) install-am
1323 install-exec: install-exec-am
1324 install-data: install-data-am
1325 uninstall: uninstall-am
1326
1327 install-am: all-am
1328         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1329
1330 installcheck: installcheck-am
1331 install-strip:
1332         if test -z '$(STRIP)'; then \
1333           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1334             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1335               install; \
1336         else \
1337           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1338             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1339             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1340         fi
1341 mostlyclean-generic:
1342
1343 clean-generic:
1344
1345 distclean-generic:
1346         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1347         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1348         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1349         -rm -f sci_gateway/cpp/$(am__dirstamp)
1350         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1351         -rm -f src/c/$(am__dirstamp)
1352         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1353         -rm -f src/cpp/$(am__dirstamp)
1354         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1355         -rm -f src/jni/$(am__dirstamp)
1356         -rm -f src/noui_data/$(DEPDIR)/$(am__dirstamp)
1357         -rm -f src/noui_data/$(am__dirstamp)
1358
1359 maintainer-clean-generic:
1360         @echo "This command is intended for maintainers to use"
1361         @echo "it deletes files that may require special tools to rebuild."
1362         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1363 clean: clean-am
1364
1365 clean-am: clean-generic clean-libtool clean-local \
1366         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1367
1368 distclean: distclean-am
1369         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1370         -rm -f Makefile
1371 distclean-am: clean-am distclean-compile distclean-generic \
1372         distclean-local distclean-tags
1373
1374 dvi: dvi-am
1375
1376 dvi-am:
1377
1378 html: html-am
1379
1380 html-am:
1381
1382 info: info-am
1383
1384 info-am:
1385
1386 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1387         install-libsciui_data_la_rootDATA \
1388         install-nobase_libsciui_data_la_iconsDATA
1389
1390 install-dvi: install-dvi-am
1391
1392 install-dvi-am:
1393
1394 install-exec-am: install-pkglibLTLIBRARIES
1395
1396 install-html: install-html-am
1397
1398 install-html-am: install-html-local
1399
1400 install-info: install-info-am
1401
1402 install-info-am:
1403
1404 install-man:
1405
1406 install-pdf: install-pdf-am
1407
1408 install-pdf-am:
1409
1410 install-ps: install-ps-am
1411
1412 install-ps-am:
1413
1414 installcheck-am:
1415
1416 maintainer-clean: maintainer-clean-am
1417         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1418         -rm -f Makefile
1419 maintainer-clean-am: distclean-am maintainer-clean-generic
1420
1421 mostlyclean: mostlyclean-am
1422
1423 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1424         mostlyclean-libtool
1425
1426 pdf: pdf-am
1427
1428 pdf-am:
1429
1430 ps: ps-am
1431
1432 ps-am:
1433
1434 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1435         uninstall-libsciui_data_la_rootDATA \
1436         uninstall-nobase_libsciui_data_la_iconsDATA \
1437         uninstall-pkglibLTLIBRARIES
1438
1439 .MAKE: all check check-am install install-am install-strip
1440
1441 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1442         check-local clean clean-generic clean-libtool clean-local \
1443         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1444         ctags ctags-am distclean distclean-compile distclean-generic \
1445         distclean-libtool distclean-local distclean-tags distdir dvi \
1446         dvi-am html html-am info info-am install install-am \
1447         install-data install-data-am install-data-local install-dvi \
1448         install-dvi-am install-exec install-exec-am install-html \
1449         install-html-am install-html-local install-info \
1450         install-info-am install-libsciui_data_la_etcDATA \
1451         install-libsciui_data_la_rootDATA install-man \
1452         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1453         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1454         install-ps-am install-strip installcheck installcheck-am \
1455         installdirs maintainer-clean maintainer-clean-generic \
1456         mostlyclean mostlyclean-compile mostlyclean-generic \
1457         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1458         uninstall-am uninstall-libsciui_data_la_etcDATA \
1459         uninstall-libsciui_data_la_rootDATA \
1460         uninstall-nobase_libsciui_data_la_iconsDATA \
1461         uninstall-pkglibLTLIBRARIES
1462
1463 .PRECIOUS: Makefile
1464
1465
1466 # This target enables tests for Scilab
1467 check-local: $(top_builddir)/scilab-bin test
1468         if test -d $(mydatadir)/tests; then \
1469           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1470         fi
1471 check-code:
1472         if test -f build.xml; then \
1473                 $(ANT) checkstyle; \
1474         fi
1475         if test -x "$(SPLINT)"; then \
1476                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1477         fi
1478 @NEED_JAVA_TRUE@java:
1479 # Some configurations needs to export JAVA_HOME in the current env
1480 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1481 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1482 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1483 @NEED_JAVA_TRUE@                $(ANT); \
1484 @NEED_JAVA_TRUE@        fi
1485
1486 @NEED_JAVA_TRUE@clean-java:
1487 # Some configurations needs to export JAVA_HOME in the current env
1488 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1489 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1490 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1491 @NEED_JAVA_TRUE@                $(ANT) clean; \
1492 @NEED_JAVA_TRUE@        fi;
1493
1494 # If the user request for the SWIG generation of the wrappers Java => C/C++
1495 # We call the target swig-build on the variable SWIG_WRAPPERS
1496
1497 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1498 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1499 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1500 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1501 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1502 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1503 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1504 @SWIG_TRUE@             done; \
1505 @SWIG_TRUE@     fi
1506
1507 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1508 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1509 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1510 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1511 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1512 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1513 @SWIG_TRUE@             done; \
1514 @SWIG_TRUE@     fi
1515
1516 # If the user request for the SWIG generation of the wrappers Java => C/C++
1517 # We call the target swig-build on the variable SWIG_WRAPPERS
1518
1519 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1520 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1521 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1522 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1523 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1524 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1525 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1526 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1527 @GIWS_TRUE@                     else \
1528 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1529 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1530 @GIWS_TRUE@                     fi \
1531 @GIWS_TRUE@             done; \
1532 @GIWS_TRUE@     fi
1533
1534 @GIWS_TRUE@giws-exception:
1535 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1536 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1537 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1538
1539 macros:
1540         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1541                 echo "Error : Cannot build $< : Scilab has not been built"; \
1542         else \
1543                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1544         fi)
1545
1546 # Removes the macros
1547 clean-macros:
1548 # Removes macros (*.bin generated from .sci)
1549         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1550                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1551                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1552         done
1553
1554 test:
1555 # More tests could be added here
1556         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1557         if test -f build.xml -a $$USEANT -eq 1; then \
1558                 $(ANT) test; \
1559         fi
1560
1561 all-local: $(TARGETS_ALL)
1562
1563 .sci.bin:
1564         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1565         echo "Error : Cannot build $< : Scilab has not been build"; \
1566         else \
1567         echo "Creating $@"; \
1568         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1569         fi )
1570
1571 install-html-local:
1572
1573 install-data-local-local:
1574 # Mainly for javasci
1575         @if test -d $(srcdir)/javadoc; then \
1576                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1577         fi
1578 # If the user wants the help sources to be installed
1579 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1580 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1581 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1582 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1583 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1584 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1585 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1586 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1587 @INSTALL_HELP_XML_TRUE@           done ; \
1588 @INSTALL_HELP_XML_TRUE@         fi; \
1589 @INSTALL_HELP_XML_TRUE@  fi; \
1590 @INSTALL_HELP_XML_TRUE@ done; \
1591 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1592 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1593 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1594 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1595 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1596 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1597 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1598 @INSTALL_HELP_XML_TRUE@           done ; \
1599 @INSTALL_HELP_XML_TRUE@         fi; \
1600 @INSTALL_HELP_XML_TRUE@ fi
1601 install-data-local:
1602 # Install the tests
1603         @echo "-------- Install tests (if any) --------"; \
1604         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1605           if test -d $(srcdir)/$$dir/; then \
1606             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1607                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1608                     if test -d "$(srcdir)/$$dir/$$file"; then \
1609                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1610                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1611                     else \
1612                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1613                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1614                     fi \
1615                   done; \
1616           fi; \
1617         done
1618 # Install the help chapter
1619         @echo "-------- Install the help chapter (if any) --------"; \
1620         for lang in $(HELP_CHAPTERLANG); do \
1621                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1622                 if test -f $$HELPFILE; then \
1623                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1624                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1625                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1626                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1627                 fi; \
1628         done
1629 # Install the demos & examples
1630         @echo "-------- Install demos & examples (if any) --------"; \
1631         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1632           if test -d $(srcdir)/$$dir/; then \
1633             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1634                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1635                     if test -d "$(srcdir)/$$dir/$$file"; then \
1636                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1637                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1638                     else \
1639                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1640                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1641                     fi \
1642                   done; \
1643           fi; \
1644         done
1645 # Install the macros
1646         @echo "-------- Install macros (if any) --------"; \
1647         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1648           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1649                 if test -d $(srcdir)/$$dir/; then \
1650                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1651                         if test -n "$(MACROSSPECIALEXT)"; then \
1652                                 specialExtDir=""; \
1653                                 for specialExt in $(MACROSSPECIALEXT); do \
1654                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1655                                 done; \
1656                                 FILELIST="$$FILELIST $$specialExtDir"; \
1657                         fi; \
1658                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1659                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1660                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1661                   done; \
1662                 fi; \
1663         done
1664 # Install java files (.jar)
1665         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1666         echo "-------- Install jar files --------"; \
1667     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1668           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1669                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1670                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1671           done ; \
1672         fi
1673
1674 ########### CLEAN ###################
1675 # Clean help (generated automatically by Scilab)
1676 # It used to clean the macro (clean-macros) but this was causing
1677 # make clean && make to fail Scilab startup
1678 @NEED_JAVA_TRUE@clean-local: clean-java
1679 @NEED_JAVA_FALSE@clean-local:
1680
1681 distclean-local:
1682         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1683
1684 .PHONY: macros java swig giws
1685
1686 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1687 # Otherwise a system limit (for SysV at least) may be exceeded.
1688 .NOEXPORT: